### Enumeration

# GLib TraverseFlags

#### Declaration

    flags GLib.TraverseFlags

#### Description [src]

Specifies which nodes are visited during several of the tree functions, including `g_node_traverse()` and g_node_find().

#### Members

`G_TRAVERSE_LEAVES`

  Only leaf nodes should be visited. This name has been introduced in 2.6, for older version use `G_TRAVERSE_LEAFS`.

  - Value: `1`
  - Available since: 2.0
`G_TRAVERSE_NON_LEAVES`

  Only non-leaf nodes should be visited. This name has been introduced in 2.6, for older version use `G_TRAVERSE_NON_LEAFS`.

  - Value: `2`
  - Available since: 2.0
`G_TRAVERSE_ALL`

  All nodes should be visited.

  - Value: `3`
  - Available since: 2.0
`G_TRAVERSE_MASK`

  A mask of all traverse flags.

  - Value: `3`
  - Available since: 2.0
`G_TRAVERSE_LEAFS`

  Identical to `G_TRAVERSE_LEAVES`.

  - Value: `1`
  - Available since: 2.0
`G_TRAVERSE_NON_LEAFS`

  Identical to `G_TRAVERSE_NON_LEAVES`.

  - Value: `2`
  - Available since: 2.0